CentOS - Corriger le message d'erreur Le paquet .... n'est pas signé

Petit mémo pour corriger l'erreur suivante :

Français : Le paquet perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm n'est pas signé

Anglais : Package perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm is not signed

Problème

Le message d'erreur apparaît lors de l'installation d 'un paquet avec le gestionnaire d'installation YUM :

Français :

[root@SFEYLT20 ~]# yum install perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm
Le paquet perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm n'est pas signé

Anglais :

[root@SFEYLT20 ~]# yum install perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm
Package perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm is not signed

Solution

Pour corriger le problème, il suffit simplement d'ignorer la signature du paquet en utilisant l'argument --nogpgcheck.

/!\ Attention, si vous utilisez cette option, assurez vous de connaitre la source du paquet !!! /!\

[root@SFEYLT20 ~]# yum install perl-Convert-Binary-C-0.78-10.el7.x86_64.rpm --nogpgcheck

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *